diff --git a/list.h b/list.h
index a6cafbbb7e..a83c81be2d 100644
--- a/list.h
+++ b/list.h
@@ -94,6 +94,10 @@ static inline void mutt_stailq_free(struct STailQHead *h)
   STAILQ_INIT(h);
 }
 
+/**
+ * mutt_stailq_match - Is the string in the list
+ * @return true if the header contained in "s" is in list "h"
+ */
 static inline bool mutt_stailq_match(const char *s, struct STailQHead *h)
 {
   struct STailQNode *np;
diff --git a/mutt.h b/mutt.h
index f6cd9c1606..a0104608a6 100644
--- a/mutt.h
+++ b/mutt.h
@@ -317,7 +317,6 @@ void mutt_free_list(struct List **list);
 void mutt_free_rx_list(struct RxList **list);
 void mutt_free_replace_list(struct ReplaceList **list);
 int mutt_matches_ignore(const char *s);
-bool mutt_matches_list(const char *s, struct List *t);
 
 /* add an element to a list */
 struct List *mutt_add_list(struct List *head, const char *data);
diff --git a/muttlib.c b/muttlib.c
index f4daa21eb9..840bc5b628 100644
--- a/muttlib.c
+++ b/muttlib.c
@@ -358,24 +358,10 @@ void mutt_free_header(struct Header **h)
   FREE(h);
 }
 
-/**
- * mutt_matches_list - Is the string in the list
- * @retval true if the header contained in "s" is in list "t"
- */
-bool mutt_matches_list(const char *s, struct List *t)
-{
-  for (; t; t = t->next)
-  {
-    if ((mutt_strncasecmp(s, t->data, mutt_strlen(t->data)) == 0) || *t->data == '*')
-      return true;
-  }
-  return false;
-}
-
 /**
  * mutt_matches_ignore - Does the string match the ignore list
  *
- * checks Ignore and UnIgnore using mutt_matches_list
+ * checks Ignore and UnIgnore using mutt_stailq_match
  */
 int mutt_matches_ignore(const char *s)
 {
